<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b>Угадай число</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

$lownumber = 1;         // Минимальное случайное число
$highnumber = 100;      // Максимальое случайное число

if($lownumber < $highnumber ) {

if(isset($newgame)){
$hill = mt_rand($lownumber,$highnumber);
$_SESSION['hill'] = $hill;
$_SESSION['hi_count'] = 0;	
}

if(!isset($action)){

echo '<b>Введите число от '.(int)$lownumber.' до '.(int)$highnumber.'</b><br><br>';
echo '<b>Попыток: 0</b><br>';

if($config_themes!=="wml"){
echo'<form action="hi.php?action=hi&amp;'.SID.'" method="post">
Ведите число:<br>
<input type="text" name="guess" /><br>
<input type="submit" value="Угадать" />
</form><hr>';
}else{

echo '<input name="guess"/><br>';
echo '<anchor title="go">Играть<go href="hi.php?action=hi&amp;'.SID.'" method="post">';
echo '<postfield name="guess" value="$(guess)\"/>';
echo '</go></anchor><br>'; }





echo'У вас в наличии: '.moneys($udata[41]).'<br>';
echo'<br><img src="../images/img/faq.gif" alt=""> <a href="hi.php?action=faq&amp;'.SID.'">Правила</a>';
}

//------------------------- Игра ------------------------------------//
if($action=="hi"){

if($udata[41]>=5){
if($guess!=""){
if(empty($_SESSION['hill'])){

$hill = mt_rand($lownumber,$highnumber);
$hi_count=0;
$_SESSION['hill'] = $hill;
$_SESSION['hi_count'] = $hi_count;

}

$_SESSION['hi_count']++;
$guess = htmlspecialchars(stripslashes(trim($guess)));


if($guess!=$_SESSION['hill']){

if($_SESSION['hi_count']<$config_hipopytka){

echo'<b>Введите число от '.(int)$lownumber.' до '.(int)$highnumber.'</b><br><br>';

echo '<b>Попыток: '.(int)$_SESSION['hi_count'].'</b><br>';


if($guess>$_SESSION['hill']){echo (int)$guess.' -это большое число<br>Введите меньше<br><br>';}
if($guess<$_SESSION['hill']){echo (int)$guess.' -это маленькое число<br>Введите больше<br><br>';}

if($config_themes!="wml"){

echo '<form action="hi.php?action=hi&amp;'.SID.'" method="post">';
echo 'Ведите число:<br>';
echo '<input type="text" name="guess"><br>';
echo '<input type="submit" value="Угадать">';
echo '</form>';

}else{

echo '<br><input name="guess"/><br>';
echo '<anchor title="go">Играть<go href="hi.php?action=hi&amp;'.SID.'" method="post">';
echo '<postfield name="guess" value="$(guess)"/>';
echo '</go></anchor><br>'; 
}


//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=$udata[41]-5;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

$count_pop = $config_hipopytka - $_SESSION['hi_count'];

echo '<hr>У вас осталось попыток: <b>'.(int)$count_pop.'</b><br>';
echo'У вас в наличии: '.moneys($udata[41]).'<br>';
/////////////////////////





}else{echo 'Вы проигали потому что не отгадали число за '.(int)$config_hipopytka.' попыток<br>';

$_SESSION['hill']="";
$_SESSION['hi_count']="";

unset($_SESSION['hill']);
unset($_SESSION['hi_count']);
}  

}else{

//------------------------------ Запись в профиль ----------------------------//
$ufiles = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udatas = explode(":||:",$ufiles);

$udatas[41]=$udatas[41]+(int)$config_hisumma;

for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}

if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fps=fopen("../local/profil/$log.prof","a+");    
flock($fps,LOCK_EX);           
ftruncate($fps,0);                                                                
fputs($fps,$utexts);
fflush($fps);
flock($fps,LOCK_UN);
fclose($fps);  
unset($utexts);
}

//////////////////////
echo 'Поздравляем!!! Вы угадали число '.(int)$guess.'<br>Ваш выигрыш составил '.moneys($config_hisumma).'<br>'; 

$_SESSION['hill']="";
$_SESSION['hi_count']="";

unset($_SESSION['hill']);
unset($_SESSION['hi_count']);

}
}else{echo '<b>Ошибка! Вы не ввели число</b><br>';}
}else{echo '<b>Вы не можете играть т.к. на вашем счете недостаточно средств</b><br>';}

echo '<br><img src="../images/img/reload.gif" alt=""> <a href="hi.php?newgame&amp;'.SID.'">Начать заново</a>';
}

if($action=="faq"){
	
echo 'Для участия в игре напишите число и нажмите "Угадать", за каждую попытку у вас будут списывать по '.moneys(5).'<br>';	
echo 'После каждой попытки вам дают подсказку большое это число или маленькое<br>';	
echo 'Если вы не уложились за '.(int)$config_hipopytka.' попыток, то игра будет начата заново<br>';	
echo 'При выигрыше вы получаете на счет '.moneys($config_hisumma).'<br>';
echo 'Итак дерзайте!<br><br>';
	
echo '<img src="../images/img/back.gif" alt=""> <a href="hi.php?'.SID.'">Вернуться</a>'; 	
}

} else {echo 'Неправильно настроен скрипт<br>';}

}else{
echo '<br>Вы не авторизованы, чтобы начать игру, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}



echo '<br><img src="../images/img/games.gif" alt=""> <a href="../pages/index.php?action=arkada&amp;'.SID.'">Развлечения</a><br>'; 
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>